Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46385 - dm-snapshot: "Unable to allocate exception" after pacman sync&upgrade

Attached to Project: Arch Linux
Opened by Peet (letni69) - Monday, 21 September 2015, 22:28 GMT
Last edited by Gerardo Exequiel Pozzi (djgera) - Tuesday, 22 September 2015, 23:03 GMT
Task Type Bug Report
Category System
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
When trying to install Arch Linux using the LiveCD and heavy i/o is operated on the filesystem we will get an kernel error from the ext4 module.
So basically, I am not able to install Arch Linux at all.


Additional info:
* package version(s)
* config and/or log files etc.


Steps to reproduce:
1.) Download the Arch Linux 2015.09.01 Iso
2.) Boot the iso and try to update the system using "pacman -Syyu"
3.) Several seconds later you will see the kernel error messages:

device-mapper: snapshots: Invalidating snapshot: Unable to allocate exception.
Buffer I/O error on device dm-0, logical block XXXX...
Buffer I/O error on device dm-0, logical block XXXX...
...

Also this is a known issue on other linux distros as well eg. Fedora:
https://lists.fedoraproject.org/pipermail/devel/2015-July/212956.html
http://fedora.12.x6.nabble.com/fragile-Live-Fedora-Device-mapper-Snapshot-vs-Layered-Fs-solution-AUFS-or-Overlayfs-td5045720.html
This task depends upon

Closed by  Gerardo Exequiel Pozzi (djgera)
Tuesday, 22 September 2015, 23:03 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#45618 
Comment by Doug Newgard (Scimmia) - Tuesday, 22 September 2015, 01:16 GMT
Why in the world are you trying to run pacman -Syyu on the live system?
Comment by Peet (letni69) - Tuesday, 22 September 2015, 20:45 GMT
Because the Beginners' guide says so xD.
https://wiki.archlinux.org/index.php/Beginners'_guide
See the 'Select a mirror' section.

Loading...